Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.rest.topic
Class TopicDestinationsResource

    java.lang.Object
      org.hornetq.rest.topic.TopicDestinationsResource

    public class TopicDestinationsResource

extends java.lang.Object

Version:
  $Revision: 1 $
Author:
  Bill Burke

Constructor Summary
`TopicDestinationsResource(TopicServiceManager manager)`

Method Summary
`javax.ws.rs.core.Response` | `createJmsQueue(javax.ws.rs.core.UriInfo uriInfo, org.w3c.dom.Document document)`
`TopicResource` | `createTopicResource(java.lang.String topicName, boolean defaultDurable, int timeoutSeconds, boolean duplicates)`
`void` | `deleteTopic(java.lang.String name)`
`TopicResource` | `findTopic(java.lang.String name)`
`java.util.Map<java.lang.String,TopicResource>` | `getTopics()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopicDestinationsResource

    public TopicDestinationsResource(TopicServiceManager manager)

Method Detail

### createJmsQueue

    public javax.ws.rs.core.Response createJmsQueue(@Context
                                                    javax.ws.rs.core.UriInfo uriInfo,
                                                    org.w3c.dom.Document document)

### deleteTopic

    public void deleteTopic(java.lang.String name)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### findTopic

    public TopicResource findTopic(java.lang.String name)
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getTopics

    public java.util.Map<java.lang.String,TopicResource> getTopics()

### createTopicResource

    public TopicResource createTopicResource(java.lang.String topicName,
                                             boolean defaultDurable,
                                             int timeoutSeconds,
                                             boolean duplicates)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.